# Scores Ceiba

Vous trouverez ici le code source de l'application de Scores de [Ceiba Conseil](https://www.ceiba-conseil.com/).

## Information

- Le projet est développé par [Weko](https://weko.io) et hébergé par [RésiLien](https://resilien.fr)
- L'application utilise [un script](./scripts/fetchData.js) permettant d'importer des contenus depuis [une interface d'administration](https://admin.ceiba-conseil.com)
- [Un outil automatique](https://ci.resilien.fr/Weko/ceiba-scores) permet une compilation automatique du projet lorsqu'un changement est effectué coté administration
- Les emojis ont été pris depuis le site https://twemoji-cheatsheet.vercel.app/ et sont libres de droit proposé par Twitter

## Développement

L'application a été développé avec le framework Javascript [Vue.js](https://vuejs.org/) et l'outil [Vite](https://vitejs.dev/).
Il utilise [NPM](https://www.npmjs.com/) pour la gestion des dépendances Javascript.

### Recommendation pour votre environnement de développement

[VSCode](https://code.visualstudio.com/) + [Volar](https://marketplace.visualstudio.com/items?itemName=johnsoncodehk.volar) (and disable Vetur) + [TypeScript Vue Plugin (Volar)](https://marketplace.visualstudio.com/items?itemName=johnsoncodehk.vscode-typescript-vue-plugin).

Une configuration spécifique à Vite peut être mise en place, voir [la référence](https://vitejs.dev/config/).

### Commandes

Installation des dépendances

```sh
npm install
```

Compilation avec du Hot-Reload (Rechargement à chaud) pour le développement

```sh
npm run dev
```

Compilation and minification pour la production

```sh
npm run build
```

Les règles de mise en forme sont assuré par [ESLint](https://eslint.org/)

```sh
npm run lint
```

## Logiciels utilisés

RésiLien met en place des outils open source eprouvé dans le temps et dont les communautés sont assez grande pour permettre une perenité de ses projets.

Voici les différentes briques utilisé autour du projet :
- [Garage](https://garagehq.deuxfleurs.fr/) pour l'hébergement développé par l'association [Deuxfleurs](https://deuxfleurs.fr/)
- [Directus](https://directus.io/) pour l'administration
- [Drone](https://drone.io) pour la compilation automatique du projet
